#
# spec file for package freeciv (Version 1.12.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake glib glib-devel gtk gtk-devel imlib imlib-config imlib-devel libz readline readline-devel xaw3d xaw3dd xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-config imlib-devel kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xaw3dd xdevel xf86 xshared

Name:         freeciv
Copyright:    1997, Allan Ove Kjeldbjerg, Claus Leth Gregersen, Peter Joachim Unold
Group:        X11/Games
Provides:     freeciv 
Autoreqprov:  on
Summary:      Free Civilization Clone
Version:      1.12.0
Release:      58
Source0:      %{name}-%{version}.tar.bz2
Patch:	%{name}-%{version}.dif
Patch1: civworld_1-diff-against-freeciv-%{version}.bz2

%description
A clone of the well-known game Civilization by Microprose.

Every player is the leader of an imaginary nation. The aim of the game
can be to create a prospering civilization with commerce and knowledge
exchange or (more often) the extinction of all other civilizations.

To start a new game : First start the server civserver, then start the
client civclient. Have fun !

Authors:
--------
    Allan Ove Kjeldbjerg <allan@daimi.aau.dk>
    Claus Leth Gregersen <leth@daimi.aau.dk>
    Peter Joachim Unold <pjunold@daimi.aau.dk>

SuSE series: fun

%prep
%setup
%patch
%patch1 -p1

%build
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=/usr \
  --enable-client=gtk \
  --with-zlib --with-readline
  
touch ./intl/Makefile.in --reference=./aclocal.m4
make

%install
make install
mv /usr/bin/civworld /usr/X11R6/bin
mv /usr/bin/civclient /usr/X11R6/bin
rm -f /usr/info/dir.bak.gz
DOCDIR=%{_docdir}/%{name}
rm -fr $DOCDIR
install -d -m 755 $DOCDIR
install -m 644 README ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS TODO PEOPLE BUGS HOWTOPLAY README.* $DOCDIR
install -d -m 755 $DOCDIR/civworld
install -m 644 civworld/*README civworld/GRAND* civworld/ChangeLog $DOCDIR/civworld

%files
%docdir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
/usr/X11R6/bin/civclient
/usr/X11R6/bin/civworld
/usr/bin/civserver
/usr/share/freeciv
/usr/share/locale/*/LC_MESSAGES/freeciv.mo

%changelog -n freeciv
* Tue Aug 21 2001 - uli@suse.de
- added scenario editor civworld
* Mon Aug 13 2001 - uli@suse.de
- update -> 1.12.0
* Thu Aug 09 2001 - uli@suse.de
- update -> 1.11.12
* Fri Aug 03 2001 - uli@suse.de
- update -> 1.11.8
* Mon Jul 23 2001 - uli@suse.de
- update -> 1.11.6
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Aug 10 2000 - uli@suse.de
- update -> 1.11.4
* Mon Jun 05 2000 - uli@suse.de
- moved docs to %%{_docdir}
* Tue Feb 22 2000 - uli@suse.de
- update -> 1.10.0
- switched client from Xaw to GTK
* Wed Oct 20 1999 - uli@suse.de
- New version 1.9.0
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 - uli@suse.de
- New version 1.8.1
* Fri Jun 18 1999 - uli@suse.de
- Spec file created from freeciv-1.8.0.tar.gz by autospec
* Tue Jan 05 1999 - rb@suse.de
- update to version 1.7.2
* Sun Nov 01 1998 - rb@suse.de
- update to version 1.7.1
* Mon Aug 10 1998 - rb@suse.de
- update to version 1.7.0
* Tue Jul 21 1998 - rb@suse.de
- Corrected Copyright-notice in spec file
* Wed Jul 01 1998 - rb@suse.de
- update to version 1.6.3
- added new README.SuSE
- civserver became ser
- civclient and civserver both reside in /usr/games/freeciv
* Tue Mar 03 1998 - rb@suse.de
- copied man-pages civserver.6 and civclient.6 to /usr/X11R6/man/man6
- made /usr/X11R6/bin/ the home of 'civserver' in order to have a
  consistent place for 'civserver' and 'civ'. civclient still resides
  in /usr/games/freeciv since it requires an environment variable to
  be set. It is startet by 'civ' which also sets the variable.
* Fri Feb 27 1998 - rb@suse.de
- first S.u.S.E. version 1.5.1
- copied additional info files to /usr/doc/packages/freeciv
